> For the complete documentation index, see [llms.txt](https://docs.nuken.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nuken.xyz/extras/github-lookup/manifest-json.md).

# manifest.json

Your `manifest.json` file tells nuken what your [Lookup-compatible GitHub repo](https://github.com/nuken-official/lookup-demo) is all about! Here's how it should be set up.

```
{
    "name": "Alley [Lookup Test]",
    "description": "This is a description. Isn't this fun? Lookup sure is nifty.",
    "version": "v1.1",
    "date": "10/31/2022",
    "developer": "nuken Dev Team",
    "icon": "alley.jpg",
    "content_download": "alley_theme.zip",
    "content_type": "theme"
}
```

> **`name`** -  The name of your content. What's it called?

> **`description`** -  Your content's description. Keep it short, snappy, and memorable.

> **`version`** -  Feel free to use whatever version numbering style your prefer.

> **`date`** -  Today's date, or whatever date your decide.

> **`developer`** -  Your name goes here. Yeah, that's right. You.

> **`icon`** -  Your content's preview icon. Enter the link to an image online, or a resource in the repository itself. It's up to you.

> **`content_download`** -  This is the .zip file users will download and extract. Again, links can be absolute or relative here.

{% hint style="warning" %}
You can name this .zip archive anything you'd like; however, for nuken to properly recognize it, it needs to end with the following -&#x20;

* **`_addon.zip`** for Add-ons
* **`_theme.zip`** for Themes
* **`_template_pack.zip`** for Templates<br>

Here are some examples.

* codin&#x67;**\_addon.zip**
* rainbo&#x77;**\_theme.zip**
* cs&#x73;**\_template\_pack.zip**
  {% endhint %}

> **`content_type`** -  Now what exactly did you make? Let's see.

{% hint style="warning" %}
nuken will only recognize the following values for **`content_type`** -

* **`addon`**
* **`theme`**
* **`template`**
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nuken.xyz/extras/github-lookup/manifest-json.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
